Subject: Re: [PATCH net-next v23 03/13] netdev: support binding dma-buf to netdevice

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Aug 2024 14:12:12 -0700

On Thu, 29 Aug 2024 06:01:16 +0000 Mina Almasry wrote:
> +		if (NL_REQ_ATTR_CHECK(info->extack, attr, tb, NETDEV_A_QUEUE_ID) ||
> +		    NL_REQ_ATTR_CHECK(info->extack, attr, tb, NETDEV_A_QUEUE_TYPE) ||
> +		    nla_get_u32(tb[NETDEV_A_QUEUE_TYPE]) != NETDEV_QUEUE_TYPE_RX) {

I keep going back and forth if I should complain.. so nit:

The first two conditions can be together, but for the third one
you want to NL_SET_BAD_ATTR(info->extack, tb[NETDEV_A_QUEUE_TYPE]));
so separate if() is needed. I think I suggested the combining
but I meant just the NL_REQ_ATTR.. ones.